Property.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <string>`
`#include <utility>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/shared_ptr.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <Query/Query.h>`
`#include <RDGeneral/Exceptions.h>`

Go to the source code of this file.

## Classes

struct | RDKit::Descriptors::PropertyFunctor
class | RDKit::Descriptors::Properties
| Holds a collection of properties for computation purposes. More...

## Namespaces

| RDKit
| Std stuff.
| RDKit::Descriptors

## Typedefs

typedef Queries::Query< bool, const ROMol &, true > | RDKit::Descriptors::PROP_BOOL_QUERY
typedef Queries::AndQuery< int, const ROMol &, true > | RDKit::Descriptors::PROP_AND_QUERY
typedef Queries::OrQuery< int, const ROMol &, true > | RDKit::Descriptors::PROP_OR_QUERY
typedef Queries::XOrQuery< int, const ROMol &, true > | RDKit::Descriptors::PROP_XOR_QUERY
typedef Queries::EqualityQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_EQUALS_QUERY
typedef Queries::GreaterQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_GREATER_QUERY
typedef Queries::GreaterEqualQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_GREATEREQUAL_QUERY
typedef Queries::LessQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_LESS_QUERY
typedef Queries::LessEqualQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_LESSEQUAL_QUERY
typedef Queries::RangeQuery< double, const ROMol &, true > | RDKit::Descriptors::PROP_RANGE_QUERY

## Functions

template<class T >
T * | RDKit::Descriptors::makePropertyQuery (const std::string &name, double what)
RDKIT_DESCRIPTORS_EXPORT PROP_RANGE_QUERY * | RDKit::Descriptors::makePropertyRangeQuery (const std::string &name, double min, double max)